package com.rjconsultores.ventaboletos.web.gui.controladores.catalogos;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.OCDParam;

public class OCDParamListItemRenderer  implements ListitemRenderer {

	@Override
	public void render(Listitem listItem, Object arg1) throws Exception {
		OCDParam param = (OCDParam)arg1;

		Listcell idCell =  new Listcell(param.getOcdparamId().toString());
		idCell.setParent(listItem);
		
		Listcell empresaCell =  new Listcell(param.getEmpresa().getNombempresa());
		empresaCell.setParent(listItem);
		
		Listcell diaspagarCell =  new Listcell(param.getDiasPagar().toString());
		diaspagarCell.setParent(listItem);
		
		Listcell penalizacionCell =  new Listcell(param.getPenalizacion().toString());
		penalizacionCell.setParent(listItem);
		
		listItem.setAttribute("data", param);
	}

}
